Subject: Re: [PATCH RFC] tun: experimental zero copy tx support

From: "Michael S. Tsirkin" <[email-masked]>
Date: Mon, 14 May 2012 22:14:56 +0300

On Mon, May 14, 2012 at 09:02:26PM +0200, Eric Dumazet wrote:
> On Mon, 2012-05-14 at 20:04 +0300, Michael S. Tsirkin wrote:
> > On Mon, May 14, 2012 at 09:54:46AM -0700, Stephen Hemminger wrote:
> > > On Sun, 13 May 2012 18:52:06 +0300
> > > "Michael S. Tsirkin" <[email-masked]> wrote:
> > > 
> > > > +		/* Userspace may produce vectors with count greater than
> > > > +		 * MAX_SKB_FRAGS, so we need to linearize parts of the skb
> > > > +		 * to let the rest of data to be fit in the frags.
> > > > +		 */
> > > Rather than complex partial code, just go through slow path for
> > > requests with too many frags (or for really small requests).
> > > Creating mixed skb's seems too easy to get wrong.
> > 
> > I don't object in principle but macvtap has same code
> > so seems better to stay consistent.
> > 
> 
> If I remember well, code in vtap was buggy and still is.
> 
> Jason Wang fixes are not yet in,

They seem to be in net-next, or did I miss something?

> so maybe wait a bit, so that we dont
> add a pile of new bugs ?
> 
> 
>